# This file created by conda-build 3.18.10
# meta.yaml template originally from:
# /Users/gitlab/builds/f6f95b82/1/bob/bob.ip.facedetect/conda, last modified Tue Oct 29 10:37:45 2019
# ------------------------------------------------

package:
    name: bob.ip.facedetect
    version: 2.1.9
build:
    entry_points:
        - collect_training_data.py = bob.ip.facedetect.script.collect_training_data:main
        - detect_faces.py = bob.ip.facedetect.script.detect_faces:main
        - evaluate_detections.py = bob.ip.facedetect.script.evaluate:main
        - extract_training_features.py = bob.ip.facedetect.script.extract_training_features:main
        - plot_froc.py = bob.ip.facedetect.script.plot_froc:main
        - train_detector.py = bob.ip.facedetect.script.train_detector:main
        - validate_detector.py = bob.ip.facedetect.script.validate_detector:main
    number: '0'
    run_exports:
        - bob.ip.facedetect >=2.1.9,<3.0a0
    script:
        - cd /Users/gitlab/builds/f6f95b82/1/bob/bob.ip.facedetect/conda/..
        - python setup.py install --single-version-externally-managed --record record.txt
    script_env:
        - DOCSERVER
    string: py36ha57817a_0
requirements:
    build:
        - cctools 895 1
        - clang 4.0.1 1
        - clang_osx-64 4.0.1 h1ce6c1d_18
        - clangxx 4.0.1 1
        - clangxx_osx-64 4.0.1 h22b1bf0_18
        - compiler-rt 4.0.1 hcfea43d_1
        - ld64 274.2 1
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libiconv 1.15 hdd342a3_7
        - llvm 4.0.1 1
        - llvm-lto-tapi 4.0.1 1
        - pkg-config 0.29.2 h3efe00b_8
    host:
        - blas 1.0 mkl
        - bob.blitz 2.0.19 py36hd0b6011_0
        - bob.core 2.2.3 py36h0414480_1
        - bob.extension 3.2.0 py36hd50cb97_0
        - bob.io.base 3.0.6 py36he412bd5_1
        - bob.io.image 2.4.4 py36h6bf4581_1
        - bob.ip.base 2.2.4 py36h87c1730_0
        - bob.ip.color 2.0.14 py36h0414480_0
        - bob.ip.draw 2.0.13 py36h6f81d24_0
        - bob.learn.boosting 2.0.17 py36hfe35751_0
        - bob.math 3.1.4 py36h813647e_1
        - bob.sp 2.0.14 py36h7080c04_0
        - boost 1.67.0 py36_4
        - bzip2 1.0.8 h1de35cc_0
        - ca-certificates 2019.10.16 0
        - certifi 2019.9.11 py36_0
        - click 7.0 py36_0
        - click-plugins 1.1.1 py_0
        - giflib 5.1.4 h9a61bd3_4
        - hdf5 1.10.2 hfa1e0ec_1
        - icu 58.2 h4b95b61_1
        - intel-openmp 2019.4 233
        - jpeg 9b he5867d9_2
        - libblitz 1.0.1 hd7a9176_0
        - libboost 1.67.0 hebc422b_4
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libedit 3.1.20181209 hb402a30_0
        - libffi 3.2.1 h475c297_4
        - libgfortran 3.0.1 h93005f0_2
        - libiconv 1.15 hdd342a3_7
        - libpng 1.6.37 ha441bb4_0
        - libtiff 4.0.10 hcb84e12_2
        - mkl 2019.4 233
        - mkl-service 2.3.0 py36hfbe908c_0
        - mkl_fft 1.0.14 py36h5e564d8_0
        - mkl_random 1.1.0 py36ha771720_0
        - ncurses 6.1 h0a44026_1
        - numpy 1.15.4 py36hacdab7b_0
        - numpy-base 1.15.4 py36h6575580_0
        - openssl 1.1.1d h1de35cc_3
        - py-boost 1.67.0 py36h6440ff4_4
        - python 3.6.9 h359304d_0
        - readline 7.0 h1de35cc_5
        - scipy 1.3.1 py36h1410ff5_0
        - setuptools 41.0.1 py36_0
        - six 1.12.0 py36_0
        - sqlite 3.30.1 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - vlfeat 0.9.21 h2d5a098_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 h1de35cc_3
        - zstd 1.3.7 h5bba6e5_0
    run:
        - bob.io.image >=2.4.4,<3.0a0
        - bob.ip.base >=2.2.4,<3.0a0
        - bob.ip.color >=2.0.14,<3.0a0
        - bob.ip.draw >=2.0.13,<3.0a0
        - bob.learn.boosting >=2.0.17,<3.0a0
        - boost >=1.67.0,<1.67.1.0a0
        - libblitz >=1.0.1,<1.0.2.0a0
        - libcxx >=4.0.1
        - numpy >=1.15.4,<2.0a0
        - python >=3.6,<3.7.0a0
        - setuptools
    run_constrained:
        - matplotlib
test:
    commands:
        - collect_training_data.py --help
        - extract_training_features.py --help
        - train_detector.py --help
        - validate_detector.py --help
        - detect_faces.py --help
        - evaluate_detections.py --help
        - plot_froc.py --help
        - nosetests --with-coverage --cover-package=bob.ip.facedetect -sv bob.ip.facedetect
        - sphinx-build -aEW /Users/gitlab/builds/f6f95b82/1/bob/bob.ip.facedetect/conda/../doc
            /Users/gitlab/builds/f6f95b82/1/bob/bob.ip.facedetect/conda/../sphinx
        - sphinx-build -aEb doctest /Users/gitlab/builds/f6f95b82/1/bob/bob.ip.facedetect/conda/../doc
            sphinx
        - conda inspect linkages -p $PREFIX bob.ip.facedetect
        - conda inspect objects -p $PREFIX bob.ip.facedetect
    imports:
        - bob.ip.facedetect
    requires:
        - bob-devel 2019.10.17.*
        - coverage
        - matplotlib
        - nose
        - sphinx
        - sphinx_rtd_theme
about:
    home: https://www.idiap.ch/software/bob/
    license: BSD 3-Clause
    license_family: BSD
    summary: Face Detection using a Cascade of Boosted LBP Features
extra:
    copy_test_source_files: true
    final: true
